libosmoctrl 1.13.1.1-afb4 Osmocom CTRL library

Data Fields
ctrl_cmd Struct Reference

Represents a single ctrl command after parsing. More...

`#include <control_cmd.h>`

## Data Fields
struct ctrl_connection * | ccon
| connection through which the command was received More...
enum ctrl_type | type
| command type More...
char * | id
void * | node
| node of the specified variable More...
char * | variable
| name of the variable More...
char * | value
| value of the specified CTRL variable More...
char * | reply
| respnse message string More...
struct ctrl_cmd_def * | defer
| state representing deferred (async) response, if any More...

## Detailed Description

Represents a single ctrl command after parsing.

## Field Documentation

## ◆ ccon

struct ctrl_connection* ctrl_cmd::ccon

connection through which the command was received

Referenced by ctrl_cmd_def_make(), ctrl_cmd_def_send(), ctrl_cmd_send_to_all(), ctrl_cmd_trap(), and ctrl_handle_msg().

## ◆ defer

struct ctrl_cmd_def* ctrl_cmd::defer

state representing deferred (async) response, if any

Referenced by ctrl_cmd_def_make(), and ctrl_handle_msg().

## ◆ id

char* ctrl_cmd::id

Referenced by ctrl_cmd_cpy(), ctrl_cmd_handle(), ctrl_cmd_make(), ctrl_cmd_parse3(), ctrl_cmd_send_trap(), and ctrl_handle_msg().

## ◆ node

void* ctrl_cmd::node

node of the specified variable

Referenced by ctrl_cmd_handle(), get_fsm_inst_dump(), get_fsm_inst_parent_name(), get_fsm_inst_state(), and get_fsm_inst_timer().

## ◆ reply

char* ctrl_cmd::reply

respnse message string

Referenced by ctrl_cmd_cpy(), ctrl_cmd_exec(), ctrl_cmd_handle(), ctrl_cmd_make(), ctrl_cmd_parse3(), ctrl_cmd_send_trap(), ctrl_handle_msg(), ctrl_rate_ctr_group_handler(), get_counter(), get_fsm_inst_dump(), get_fsm_inst_parent_name(), get_fsm_inst_state(), get_fsm_inst_timer(), get_rate_ctr(), get_rate_ctr_group_idx(), get_stat_item(), set_counter(), and set_rate_ctr().

## ◆ type

enum ctrl_type ctrl_cmd::type

command type

Referenced by ctrl_cmd_cpy(), ctrl_cmd_create(), ctrl_cmd_def_send(), ctrl_cmd_exec(), ctrl_cmd_exec_from_string(), ctrl_cmd_handle(), ctrl_cmd_make(), ctrl_cmd_parse3(), ctrl_cmd_trap(), and ctrl_handle_msg().

## ◆ value

char* ctrl_cmd::value

value of the specified CTRL variable

Referenced by ctrl_cmd_cpy(), ctrl_cmd_exec(), ctrl_cmd_make(), ctrl_cmd_parse3(), and ctrl_cmd_send_trap().

## ◆ variable

char* ctrl_cmd::variable

name of the variable

Referenced by ctrl_cmd_cpy(), ctrl_cmd_handle(), ctrl_cmd_make(), ctrl_cmd_parse3(), ctrl_cmd_send_trap(), ctrl_handle_msg(), get_counter(), get_rate_ctr(), and get_stat_item().

The documentation for this struct was generated from the following file:

- include/osmocom/ctrl/control_cmd.h